### Classes and interfaces

# Net_SFTP¶

Pure-PHP implementations of SFTP.

« More »

### Constants

## SFTP channel constant

    NET_SFTP_CHANNEL

Net_SSH2::exec() uses 0 and Net_SSH2::read() / Net_SSH2::write() use 1.

see | \global\Net_SSH2::_send_channel_packet()
see | \global\Net_SSH2::_get_channel_packet()
access | private

## Reads data from a local file.

    NET_SFTP_LOCAL_FILE

## Returns the message content

    NET_SFTP_LOG_COMPLEX

## Returns the message numbers

    NET_SFTP_LOG_SIMPLE

## Reads data from a string.

    NET_SFTP_STRING